Package org.apache.tomcat.util.descriptor.web

## Class ContextTransaction

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ContextTransaction

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContextTransaction
    extends java.lang.Object
    implements java.io.Serializable

Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContextTransaction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getProperty​(java.lang.String name)`
`java.util.Iterator<java.lang.String>` `listProperties()` List properties.
`void` `removeProperty​(java.lang.String name)` Remove a configured property.
`void` `setProperty​(java.lang.String name, java.lang.Object value)` Set a configured property.
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextTransaction

    public ContextTransaction()

### Method Detail

#### getProperty

    public java.lang.Object getProperty​(java.lang.String name)

Parameters:
  `name` - The property name
Returns:
  a configured property.

#### setProperty

    public void setProperty​(java.lang.String name,
                            java.lang.Object value)

Set a configured property.

Parameters:
  `name` - The property name
  `value` - The property value

#### removeProperty

    public void removeProperty​(java.lang.String name)

Remove a configured property.

Parameters:
  `name` - The property name

#### listProperties

    public java.util.Iterator<java.lang.String> listProperties()

List properties.

Returns:
  the property names iterator

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`